unit MainFPWM;

{$mode objfpc}{$H+}

interface

uses
  HTTPDefs, fpHTTP, fpWeb;

type

  { TMainFPWebModule }

  TMainFPWebModule = class(TFPWebModule)
    Procedure DataModuleRequest(Sender: TObject; ARequest: TRequest;
      AResponse: TResponse; Var Handled: Boolean);
  end; 

var
  MainFPWebModule: TMainFPWebModule;

implementation

{$R *.lfm}

{ TMainFPWebModule }

Procedure TMainFPWebModule.DataModuleRequest(Sender: TObject; ARequest: TRequest;
  AResponse: TResponse; Var Handled: Boolean);
begin
  Handled := True;
  AResponse.Content :=
    '<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 3.2//EN">' + sLineBreak +
    '<html>' + sLineBreak +
    '<head>' + sLineBreak +
    '<title>My test</title>' + sLineBreak +
    '</head>' + sLineBreak +
    '<body>' + sLineBreak +
    '<b>It works!</b>' + sLineBreak +
    '</body>' + sLineBreak +
    '</html>';
end;

initialization
  RegisterHTTPModule('TMainFPWebModule', TMainFPWebModule);

end.

